hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ashutosh Chauhan (JIRA)" <>
Subject [jira] [Commented] (HIVE-3932) Hive release tarballs don't contain PostgreSQL metastore scripts
Date Sun, 27 Jan 2013 07:59:14 GMT


Ashutosh Chauhan commented on HIVE-3932:

+1 We are actively maintaining postgres scripts, no reason not to include them in release.
> Hive release tarballs don't contain PostgreSQL metastore scripts
> ----------------------------------------------------------------
>                 Key: HIVE-3932
>                 URL:
>             Project: Hive
>          Issue Type: Bug
>          Components: Build Infrastructure
>    Affects Versions: 0.8.0, 0.8.1, 0.9.0, 0.10.0
>            Reporter: Mark Grover
>            Assignee: Mark Grover
>             Fix For: 0.11.0
>         Attachments: HIVE-3932.1.patch
> By means of HIVE-2552, we decided to not include Hive metastore upgrade scripts for PostgreSQL
in Hive release tarballs. This was done primarily because the scripts were incomplete at that
time. However, since then, starting at least 0.10.0 (maybe 0.9?) PostgreSQL scripts are now
being maintained and any changes to the metastore are reflected to them (HIVE-2529). Consequently,
there is no reason to not release PostgreSQL scripts. This JIRA plans to disable/remove/ ignore
the "include.postgres" property in build.xml that enables the exclusion of PostgreSQL scripts.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see:

View raw message